
levelshots/himmelsdorf_cc_automap
{
  	nopicmip
	nocompress
	nomipmaps
  	{
  	  	clampmap levelshots/himmelsdorf_cc.tga
		depthFunc equal
		rgbGen identity
  	}
}

levelshots/himmelsdorf_cc_trans
{
  	nopicmip
	nocompress
	nomipmaps

	{

  	  	clampmap levelshots/himmelsdorf_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
  	}
}

textures/skies/sd_threehands
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 58 2
	q3map_sunExt 0.3 0.3 0.45 50 40 55 3 16
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}
//Terrain//
textures/himmelsdorf/grass
{ 
    qer_editorimage textures/temperate_sd/grass_path1.tga
    q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 ) 
    surfaceparm grasssteps
	surfaceparm landmine
    
	{ 
        map textures/temperate_sd/grass_path1.tga
        rgbGen identity
    } 
    { 
        map textures/temperate_sd/grass_path1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex 
        rgbGen identity 
    } 
    {	
		lightmap $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO 
        rgbGen identity
    } 
}
textures/himmelsdorf/dirt
{
    qer_editorimage textures/temperate_sd/dirt3.tga
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm mudsteps
	surfaceparm landmine
	
	{ 
        map textures/temperate_sd/dirt3.tga
        rgbGen identity 
    } 
    { 
        map textures/temperate_sd/dirt3.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex 
        rgbGen identity 
    } 
    {     lightmap $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO 
        rgbGen identity 
    } 
}
textures/himmelsdorf/rock_gras
{
	qer_editorimage textures/himmelsdorf/rock_gras.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm landmine
	surfaceparm grasssteps

	{
		// Primary
		map textures/himmelsdorf/rock_ugly_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/himmelsdorf/rock_mud
{
	qer_editorimage textures/himmelsdorf/rock_mud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm grasssteps
	surfaceparm landmine

	{
		// Primary
		map textures/himmelsdorf/rock_ugly_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/himmelsdorf/mud_gras
{
	qer_editorimage textures/himmelsdorf/mud_gras.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm grasssteps
	surfaceparm landmine
	
	{
		// Primary
		map textures/temperate_sd/dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// ALPHA BRUSHES
// ======================================================================
textures/himmelsdorf/terrein/alpha_000
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/himmelsdorf/terrein/alpha_025
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/himmelsdorf/terrein/alpha_050
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/himmelsdorf/terrein/alpha_075
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/himmelsdorf/terrein/alpha_085
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/himmelsdorf/terrein/alpha_100
{
	qer_editorimage textures/himmelsdorf/terrein/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
// ======================================================================
// mirror //
// ======================================================================
textures/himmelsdorf/spiegel
{
        qer_editorimage textures/common/dirtymirror.tga
        surfaceparm nolightmap
        portal
        {
                map textures/common/dirtymirror.tga
                blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
                alphaGen portal 512
                depthWrite
        }
}
// ======================================================================
// BLACK
// ======================================================================
textures/himmelsdorf/black
{
	surfaceparm noimpact
	surfaceparm nonsolid
	nopicmip
	implicitMap -
}
// ======================================================================
// FOG
// ======================================================================
textures/radar/fog
{
    qer_editorimage textures/sfx/fog_grey1.tga

    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm fog

    fogparms ( 0.09411 0.09803 0.12549 ) 5416
}
// ======================================================================
// Textures
// ======================================================================

textures/himmelsdorf/dartbord
{
	surfaceparm woodsteps
	implicitMap-

}

textures/himmelsdorf/box_t_m02a
{
	surfaceparm woodsteps
	implicitMap -
}

textures/himmelsdorf/box_t_m02
{
	surfaceparm woodsteps
	implicitMap -
}

textures/himmelsdorf/banner
{
	surfaceparm nomarks // added
	qer_editorimage textures/himmelsdorf/banner.tga
	q3map_bounceScale 0.2

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/himmelsdorf/banner.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}
}

